# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define Werror_cflags %nil

Name:           gnome-paint
Version:        0.4.0
Release:        alt2.qa1_8
Summary:        Easy to use paint program

Group:          Graphics
License:        GPLv3+
URL:            https://launchpad.net/gnome-paint
Source0:        https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.gz
#from Debian
Source1:        %{name}.1
Patch0:         %{name}-deb-crash-in-toolbar.patch
Patch1:         %{name}-deb-ftbfs-format-security.patch
Patch2:         %{name}-deb-ftbfs-libs-lm.patch
Patch3:         %{name}-deb-handle-urls.patch
Patch4:         %{name}-deb-update_translations.patch
Patch5:         %{name}-alt-packaging.patch
Patch6:         %{name}-mga-desktop.patch

BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
Source44: import.info

%description
Simple, easy to use paint program for GNOME.
gnome-paint is a program inspired by MS Paint and designed for 
GNOME (and maybe other) desktop environment. It could be used to 
manipulate images in a very simple way. With a very friendly 
user interface, gnome-paint is easy to get started for new users.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1


%build
autoreconf -fisv
%configure
%make_build

%install
%makeinstall_std
#remove docs, use rpmbuild instead
rm -rf %{buildroot}%{_prefix}/doc
#remove unnecessary includedir files
rm -rf %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/
mv -f %{buildroot}%{_iconsdir}/hicolor/16x16/apps/gp.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_mandir}/man1/%{name}*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.4.0-alt2.qa1_8
- update by mgaimport

* Wed Jan 13 2021 Cronbuild Service <cronbuild@altlinux.org> 0.4.0-alt2.qa1_7
- rebuild to get rid of unmets

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1.qa1_7
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1.qa1_6
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1.qa1_5
- new version

* Mon Apr 15 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 0.4.0-alt1.qa1
- NMU: rebuilt for debuginfo.

* Thu Dec 30 2010 Radik Usupov <radik@altlinux.org> 0.4.0-alt1
- 0.4.0

* Fri Oct 29 2010 Radik Usupov <radik@altlinux.org> 0.3.0-alt2
- Added Russian language

* Wed Oct 27 2010 Radik Usupov <radik@altlinux.org> 0.3.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Feb 19 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.2.1-1
- Initial Build
